imagecreatetruecolor
imagecropauto
GD and Image Functions
PHP Manual

# imagecrop

Crop an image using the given coordinates and size, x, y, width and height

### Description

resource imagecrop ( resource `$image` , array `$rect` )

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor.

`rect`

  Array with keys "x", "y", "width" and "height".

### Return Values

Return cropped image resource on success or `FALSE` on failure.